# 74. Mutation: 「Equation」を検証

方程式コードを検証するミューテーション。Equationエンジンは次の上に構築されています `python` 言語で、一般的な数学演算のサポートがあります。&#x20;

サポートされている操作の一覧：

1. Python基本モジュール：abs、all、any、bin、bool、bytearray、bytes、chr、complex、dict、dir、divmod、enumerate、filter、float、format、frozenset、hash、hex、id、int、isinstance、len、list、map、max、min、oct、ord、pow、range、repr、reversed、round、set、slice、sorted、str、sum、tuple、type、zip。
2. Pythonのmathモジュール：acos、acosh、asin、asinh、atan、atan2、atanh、ceil、copysign、cos、cosh、degrees、e、exp、fabs、factorial、floor、fmod、frexp、fsum、hypot、isinf、isnan、ldexp、log、log10、log1p、modf、pi、pow、radians、sin、sinh、sqrt、tan、tanh、trunc。
3. Python条件文：if、elif、else。
4. Pythonループ：for、while。

{% hint style="danger" %}
`equationAsText` は"""\<equation>"""で囲まれ、コードはPython風のスタイルでなければなりません。&#x20;

必要なタブと空白のみを保持してください。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation VerifyEquation {
  verifyEquation(input: {
    dataVariables: [{
      variable: "yield_vol"
      sampleValue: 1.1 
    }, {
      variable: "prod"
      sampleValue: 2.2
    }]
    equationAsText: """calculated = yield_vol/prod + 3.5 
if calculated >= 30:
    result = 35
elif calculated >= 20 and calculated < 30:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
  }) {
    executed
    result
    errorMessage
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/74-mutation-equationwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
